steamrt (1.h.20191007.0) heavy; urgency=medium

  * Merge some of the packaging changes from scout
    - abi: Drop libcidn.so.1, which is an implementation detail of glibc
    - steamrt-container: Add locales, vulkan-utils, waffle-utils
    - steamrt-dev: Add bubblewrap
    - tests/sdk/clang{,++}.t: Output the clang version number
  * Deliberately don't merge:
    - Addition of libXxf86dga.so.1
    - Addition of glslang-dev, glslang-tools (not built for heavy yet)
    - Addition of libcasefold (not built for heavy yet)
    - Addition of pressure-vessel (this specifically targets scout
      so that it can be run without containers or other special measures)
    - Addition of steam-runtime-tools (not built for heavy yet)
    - SDL2 tests and library name changes (SDL2 is not included in heavy)
    - Addition of gcc versions older than 5
    - Addition of clang versions older than 4
  * Add libgdk-3.so.0, libgtk-3.so.0 and their dependencies

 -- Simon McVittie <smcv@collabora.com>  Mon, 07 Oct 2019 14:24:11 +0100

steamrt (1.20191004.0) scout; urgency=medium

  * Remove libXxf86dga.so.1 from runtime ABI guarantees and -libdevel again.
    It's pulled into the SDK, but not officially part of the runtime or
    Platform. As a result, we don't want to encourage third party developers
    to compile against it.

 -- Simon McVittie <smcv@collabora.com>  Fri, 04 Oct 2019 14:30:28 +0100

steamrt (1.20191003.0) scout; urgency=medium

  * steamrt-libdebug: Don't include automatic detached debug symbols.
    We can install those packages in a more scalable way by automatically
    trying to install the -dbgsym equivalent of each package installed
    in the Platform runtime.
  * steamrt-libdevel, -libs: Add libXxf86dga.so.1.
    DGA is obsolete, but the library is a dependency for xdpyinfo in
    x11-utils.
  * abi/expectations: Update for new names of libsdl2*-2.0-0

 -- Simon McVittie <smcv@collabora.com>  Thu, 03 Oct 2019 15:14:00 +0100

steamrt (1.20190924.1) scout; urgency=medium

  * Update names of libsdl2* detached debug symbols

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Sep 2019 18:07:17 +0100

steamrt (1.20190924.0) scout; urgency=medium

  * steamrt-dev: Add glslang-tools (glslangValidator and spirv-remap)
  * steamrt-libdevel: Add glslang-dev
  * Use non-transitional names for libsdl2*
    These libraries have been renamed to their Debian Policy §8.1 names
    libsdl2*-2.0-0 to reflect their actual SONAMEs.

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Sep 2019 16:59:08 +0100

steamrt (1.20190912.0) scout; urgency=medium

  * steamrt-container: Add locales (glibc locale source data).
    This allows us to generate binary locale data on-demand, for example
    when a system-wide configured locale is missing.
  * abi: Drop libcidn.so.1.
    This is an implementation detail of glibc support for internationalized
    domain names and does not appear to be linked directly by applications,
    so it is not really part of the ABI of the Steam Runtime. In newer
    versions of glibc, libidn2.so.0 is dlopened instead.

 -- Simon McVittie <smcv@collabora.com>  Thu, 12 Sep 2019 14:59:03 +0100

steamrt (1.20190822.0) scout; urgency=medium

  * steamrt-libs: Add vulkan-utils-multiarch, for *-vulkaninfo
  * steamrt-container, steamrt-legacy: Add vulkan-utils, for vulkaninfo
  * steamrt-legacy: Add waffle-utils, for parity with steamrt-container

 -- Simon McVittie <smcv@collabora.com>  Thu, 22 Aug 2019 18:38:47 +0100

steamrt (1.20190820.0) scout; urgency=medium

  * steamrt-dev: Add pressure-vessel and bubblewrap

 -- Simon McVittie <smcv@collabora.com>  Tue, 20 Aug 2019 18:47:51 +0100

steamrt (1.20190813.0) scout; urgency=medium

  * steamrt-dev: Add bear, a compilation database that stores build commands
  * steamrt-dev: Add ccache
  * steamrt-dev: Add scons build system
  * steamrt-dev: Add debugging/diagnostic tools:
    - ltrace
    - strace
    - vdpauinfo
    - x11-utils (mainly for xprop)
  * tests/sdk: Add smoke-tests for bear, ccache, ltrace, strace
  * tests: Include tests/sdk/*.py in Python checks

 -- Simon McVittie <smcv@collabora.com>  Tue, 13 Aug 2019 18:51:53 +0100

steamrt (1.20190808.0) scout; urgency=medium

  * steamrt-container, steamrt-legacy: Add steam-runtime-tools-bin.
    This provides the steam-runtime-system-info CLI driver for
    libsteam-runtime-tools, which is hopefully a useful diagnostic tool.
  * generate-expectations: Be more Python-3.2-friendly.
    The default python3 on scout doesn't have FileNotFoundError.
  * abi: Add the concept of libraries whose ABI we don't check.
    - Don't check libtheoraenc.so.1.
      libtheoraenc.so.1 has an undefined symbol th_comment_query_count
      which appears to be provided by libtheoradec.so.1, so in principle
      it ought to be linked to (have a DT_NEEDED dependency on)
      libtheoradec.so.1, but this doesn't seem particularly important for
      the Steam Runtime's purposes.
    - Don't check libthread_db.so.1.
      libthread_db.so.1 is used by debuggers like gdb, and expects the
      debugger to export some magic symbols. The generic check for shared
      library functionality in steam-runtime-tools can't be expected to do
      this; if we want to verify that this library is working as intended,
      the way to do that would be to test that gdb is working, which we
      already do in tests/sdk/gdb.t. (A useful reference:
      <http://timetobleed.com/notes-about-an-odd-esoteric-yet-incredibly-useful-library-libthread_db/>)
    - Don't check libCgGL.so
      libCgGL.so has an undefined reference to glTexCoordPointer that is
      not satisfied by any of its DT_NEEDED dependencies, and we cannot
      relink it against libGL because it is a binary-only library from NVIDIA.
  * abi: Combine libc6 symbols files into one big file as intended.

 -- Simon McVittie <smcv@collabora.com>  Thu, 08 Aug 2019 15:58:12 +0100

steamrt (1.20190806.0) scout; urgency=medium

  * New dependencies:
    - steamrt-libs: Add libwaffle-1.so.0
    - steamrt-libs: Add libjson-glib-1.0.so.0
    - steamrt-libs: Add waffle-utils-multiarch.
      Installing this for both amd64 and i386 is useful as a way to probe for
      working or non-working GL stacks with various window-system interfaces
      and rendering interfaces.
      Also add the non-architecture-prefixed version to steamrt-container,
      for better command-line convenience.
    - steamrt-libs: Add libsteam-runtime-tools-0.so.0.
      This Steam-specific library provides various bits of system
      information. It should not be used by games and applications (yet).
    - steamrt-dev: Explicitly depend on steamrt-libs.
      Otherwise we can't necessarily guarantee that the SDK has everything
      that the Platform does, or everything that the LD_LIBRARY_PATH runtime
      does.
  * Generate dependencies of steamrt-libs from a YAML file.
    This partially decouples the definition of what's in the Steam Runtime
    from the package names: what actually matters for our ABI is their
    SONAMEs. The Debian package name can be machine-generated from the
    SONAME in most cases. Where it can't, we can list exceptions.
    - steamrt-dev: Add python3-yaml.
      This is now a build-dependency for steamrt itself. Including it in the
      SDK helps to keep the SDK self-contained.
    - Install SteamRT ABI descriptions in the steamrt-libs binary package,
      including a JSON form of the YAML source.
      This will let us use them later to check that the libraries we have
      (including any LD_LIBRARY_PATH or LD_PRELOAD overrides) are
      binary-compatible with the libraries that games rely on.
      JSON is easier to process in a constrained environment than YAML, and
      in particular is understood by json-glib, json-c and the Python 2.7
      standard library.
    - tests: Assert that the SDK contains all the libraries we want.
      This acts as an assertion that the SDK has at least the same ABI as
      the LD_LIBRARY_PATH Steam Runtime.
    - Add a script to detect unexpected libraries in LD_LIBRARY_PATH runtime.
      This effectively asserts that we have not added libraries to the
      traditional LD_LIBRARY_PATH Steam Runtime without also adding them
      to the machine-readable ABI definition.
  * Add a script to generate symbols files for steam-runtime-tools.
    These are committed to git so that we can handle updated and newly-added
    libraries as something that goes through code review if desired:
    editing these files effectively means we are expanding the ABI of
    the Steam Runtime.
  * CI:
    - Combine all SDK tests into one big test script.
      autopkgtest spends a long time running apt to set up the container for
      each autopkgtest-level test, so it's advantageous to combine tests with
      the same dependencies into one big test.
    - debian/gitlab-ci.yml: use steam-ci-pipeline.
      Because scout is so old, its SDK environment is too old to run
      deb-build-snapshot. Instead, we do that step in a Debian 10 'buster'
      environment, and hand over the artifacts from that to the autopkgtest
      step.
  * d/copyright: Update

 -- Simon McVittie <smcv@collabora.com>  Tue, 06 Aug 2019 13:37:06 +0100

steamrt (1.20190624.0) scout; urgency=medium

  * steamrt-libdevel: Add libcasefold-dev on both architectures
    - steamrt-libdevel-non-multiarch: Drop libcasefold-dev [amd64],
      superseded by the above

 -- Simon McVittie <smcv@collabora.com>  Mon, 24 Jun 2019 17:40:51 +0100

steamrt (1.20190618.0) scout; urgency=medium

  * Add a build-time syntax check for shell scripts
  * steamrt-dev: Add gcc-5 and g++-5.
    These have been available in the apt repositories for a while, but
    were not preinstalled in SDKs until now. gcc-4.8 is still the default
    compiler.
  * steamrt-dev: Add clang-3.8.
    As with gcc 5, this has been available in the apt repositories for a
    while, but wasn't preinstalled in SDK environments. lldb-3.6 continues
    to be the only LLVM-based debugger installed.
  * Add test coverage for compiling with clang and clang++, with the
    default clang version and all alternative versions.

 -- Simon McVittie <smcv@collabora.com>  Tue, 18 Jun 2019 19:56:56 +0100

steamrt (1.20190515.0) scout; urgency=medium

  * Add a test to assert that the SDK contains psmisc (pstree)
  * Add tests to assert that the SDK contains working python and python3
  * Rename meson example/test to meson-glib to be consistent with other
    branches
  * Add a test for linking to SDL2 using Meson

 -- Simon McVittie <smcv@collabora.com>  Wed, 15 May 2019 11:57:27 +0100

steamrt (1.20190409.0) scout; urgency=medium

  * steamrt-dev: Add meson build system, including ninja-build
  * steamrt-dev: Explicitly include python and python3.
    These would be pulled in by lldb-3.6 and Meson respectively but seem
    worthwhile to be guaranteed to be available.
  * steamrt-libdevel: Add libcapsule-dev and libcapsule-tools-relocatable
  * Normalize dependency lists with `wrap-and-sort -abst`
  * Add steamrt-libdebug, steamrt-libdebug-non-multiarch packages
  * Add test coverage for Meson build system
  * steamrt-dev: Add less.
    A pager is a useful tool to have in the SDK.
  * steamrt-dev: Add busybox.
    This gives us lightweight versions of various common/basic tools,
    notably dos2unix, unix2dos, basic network tools and a cut-down vi
    implementation.

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 Apr 2019 17:27:55 +0100

steamrt (1.20190403.0) scout; urgency=medium

  * steamrt-dev: Add gcc-4.8 and g++-4.8.
    These have been announced to be the default C and C++ compilers for
    games targeting the Steam Runtime environment.
  * steamrt-dev: Explicitly include gcc-4.6 and g++-4.6.
    These were the default C and C++ compilers in Ubuntu 12.04, and are
    used to compile most packages in the Steam Runtime itself.
  * steamrt-dev: Add clang-3.4 and clang-3.6.
    These are provided as alternative C and C++ compilers.
  * steamrt-dev: Add lldb-3.6.
    This is LLVM's alternative to gdb. bootstrap-runtime.sh has historically
    tried to install both lldb-3.6 and lldb-3.4, but they conflict, so the
    practical result is that only lldb-3.6 was available.
  * steamrt-dev: Add make.
    cmake doesn't pull this in as a hard dependency, but we'd better
    have it.
  * steamrt-dev: Add build-essential.
    This is installed explicitly by bootstrap-runtime.sh.
  * steamrt-dev: Add gdbserver, libcc1-0, libtool.
    In the schroot these have historically been pulled in by Recommends,
    but we don't install Recommends in container-based environments.

 -- Simon McVittie <smcv@collabora.com>  Wed, 03 Apr 2019 13:23:57 +0100

steamrt (1.20190320.0) scout; urgency=medium

  * Use a branch- and date-based versioning scheme
  * steamrt-dev: Explicitly include perl in the SDK.
    This is useful as a scripting language and to run tests with prove(1).
    It has historically been pulled in by libva-dev anyway.
  * steamrt-dev: Add pkg-config.
    This is frequently used to find libraries, and is installed explicitly
    by bootstrap-runtime.sh.
  * steamrt-dev: Add time.
    This is frequently assumed to be present (when not a shell builtin),
    and is installed explicitly by bootstrap-runtime.sh.
  * steamrt-dev: Add wget.
    This is commonly used to download dependencies, and is installed
    explicitly by bootstrap-runtime.sh.
  * steamrt-dev: Add cmake.
    This is a popular build system, and is installed explicitly by
    bootstrap-runtime.sh.
  * steamrt-dev: Add gdb.
    This is necessary for debugging, and is installed explicitly by
    bootstrap-runtime.sh.
  * steamrt-libs: Drop libcggl.
    This is a virtual package provided by libcg rather than a separate
    package.
  * steamrt-dev: Split out steamrt-libdevel-non-multiarch
  * Install metapackages with a lockstep version number
  * steamrt-dev: Include steamrt-container
  * steamrt-libdevel-non-multiarch: Add fcitx-libs-dev, libmpg123-dev,
    libvulkan-dev for parity with -debug Steam Runtime tarball
  * steamrt-libdevel-non-multiarch: Depend on libgnutls-dev (>= 3.4)
    instead of transitional libgnutls28-dev
  * steamrt-legacy: Add new metapackage encapsulating miscellaneous
    packages that go in Steam Runtime tarballs
  * examples, tests/sdk, debian/tests: Add simple autopkgtests for the SDK.
    We can run these inside a SDK schroot or container with
    autopkgtest(1), sadt(1) or prove(1) as an acceptance test to demonstrate
    that a new SDK build works.
  * d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Mar 2019 13:06:22 +0000

steamrt (1.h.20190822.0) heavy; urgency=medium

  [ Lucas Kanashiro ]
  * Add Gitlab-CI pipeline

  [ Simon McVittie ]
  * d/copyright: Update
  * Combine all SDK tests into one big test script.
    autopkgtest spends a long time running apt to set up the container for
    each autopkgtest-level test, so it's advantageous to combine tests with
    the same dependencies into one big test.
  * steamrt-dev: Explicitly depend on steamrt-libs
    Otherwise we can't necessarily guarantee that the SDK has everything
    that the Platform does, or everything that the LD_LIBRARY_PATH runtime
    does.
  * Generate dependencies of steamrt-libs from a YAML file
  * tests: Assert that the SDK contains all the libraries we want.
    This acts as an assertion that the SDK has all the same ABI as the
    LD_LIBRARY_PATH Steam Runtime.
  * Add a script to detect unexpected libraries in LD_LIBRARY_PATH runtime.
    This effectively asserts that we have not added libraries to the
    traditional LD_LIBRARY_PATH Steam Runtime without also adding them
    to the machine-readable ABI definition.
  * Add initial library expectations for heavy.
    Unlike scout, this only covers x86_64 for heavy, because we do not
    install most i386 libraries in the LD_LIBRARY_PATH runtime, the Platform
    container or the SDK container for heavy: it is specifically intended
    to run the steamwebhelper, which is x86_64-only.
  * steamrt-dev: Add bear
    - steamrt-libdevel: Add libear for both word sizes
  * tests/sdk: Add a smoke-test for bear
  * tests: Include tests/sdk/*.py in Python checks
  * Add ccache to SDK
  * Add scons to SDK
  * Add vdpauinfo, x11-utils (for xprop).
    These are generically useful diagnostic/debugging tools.
  * Add smoke-tests for ltrace, strace

 -- Simon McVittie <smcv@collabora.com>  Thu, 22 Aug 2019 12:41:42 +0100

steamrt (1.h.20190603.0) heavy; urgency=medium

  * Add a build-time syntax check for shell scripts
  * tests: Only assert that clang-4.0, clang++-4.0, Java 8 are the default
    if we are in a SDK image. An ordinary chroot does not have that setting.

 -- Simon McVittie <smcv@collabora.com>  Mon, 03 Jun 2019 17:49:11 +0100

steamrt (1.h.20190517.0) heavy; urgency=medium

  * Rename cmake and meson tests to cmake-glib and meson-glib, to be
    consistent with other branches.
  * steamrt-dev: Install clang-4.0 in addition to clang (3.5)
  * Add tests to assert that clang-4.0 and clang++-4.0 work, and that
    they are the default

 -- Simon McVittie <smcv@collabora.com>  Fri, 17 May 2019 09:33:30 +0100

steamrt (1.h.20190515.0) heavy; urgency=medium

  * steamrt-libs: Add libice6, libsm6, libuuid1, libxmu6, libxt6, which are
    indirect dependencies of libglew1.10. The build process for the
    LD_LIBRARY_PATH runtime requires that we follow recursive dependencies
    like this and make a decision whether they're meant to be included in
    the runtime or provided by the host system.
  * Normalize dependency lists (wrap-and-sort -ast)
  * Normalize order of package stanzas (wrap-and-sort -abst)
  * steamrt-dev: Add Suggests on -libdebug-non-multiarch

 -- Simon McVittie <smcv@collabora.com>  Wed, 15 May 2019 11:15:04 +0100

steamrt (1.h.20190514.2) heavy; urgency=medium

  * steamrt-dev: Add gcc-5, g++-5

 -- Simon McVittie <smcv@collabora.com>  Tue, 14 May 2019 20:11:28 +0100

steamrt (1.h.20190514.1) heavy; urgency=medium

  * Add GLEW
    - steamrt-libdevel-non-multiarch: Add libglew-dev and libglewmx-dev
      (they are themselves multiarch, but depend on libglu1-mesa-dev which
      is not)
    - steamrt-libs: Add libglew1.10 and libglewmx1.10
    - steamrt-libdebug-non-multiarch: Add new package depending on
      libglew-dbg and libglewmx-dbg
  * steamrt-libs: Add libstdc++6. libvulkan1 needs this, which makes it part
    of the ABI, and the build-runtime.py consistency check asserts that.

 -- Simon McVittie <smcv@collabora.com>  Tue, 14 May 2019 20:02:51 +0100

steamrt (1.h.20190514.0) heavy; urgency=medium

  * Add Vulkan loader
    - steamrt-dev: Add vulkan-utils
    - steamrt-libdevel: Add libvulkan-dev
    - steamrt-libs: Add libvulkan1

 -- Simon McVittie <smcv@collabora.com>  Tue, 14 May 2019 15:32:24 +0100

steamrt (1.h.20190507.0) heavy; urgency=medium

  * steamrt-dev: Add psmisc
  * Add basic test coverage for the fish shell
  * Add tests asserting that python and python3 work in the SDK

 -- Simon McVittie <smcv@collabora.com>  Tue, 07 May 2019 17:20:13 +0100

steamrt (1.h.20190320.0) heavy; urgency=medium

  * d/.gitignore: Add
  * steamrt-libs: Add libsqlite3-0.
    This is transitively part of the ABI of 'heavy', via libnss3.
  * steamrt-libdevel: Correspondingly, add libsqlite3-dev.

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Mar 2019 13:09:30 +0000

steamrt (1.h.20190307.0) heavy; urgency=medium

  * chmod all tests +x
  * tests/sdk: Assert that default Java is Java 8
  * gdb-script: Make breakpoint more reliable

 -- Simon McVittie <smcv@collabora.com>  Thu, 07 Mar 2019 19:28:06 +0000

steamrt (1.h.20190304.2) heavy; urgency=medium

  * steamrt-dev: Install devscripts and python3-debian.
    This is enough to run autopkgtests with sadt(1).
  * Add autopkgtests for the SDK

 -- Simon McVittie <smcv@collabora.com>  Mon, 04 Mar 2019 16:37:31 +0000

steamrt (1.h.20190304.1) heavy; urgency=medium

  * steamrt-libdevel: Add ncurses development files.
    The development headers for libtinfo are actually there, and not in
    libtinfo-dev.
  * steamrt-dev: Add libtool-bin, which contains /usr/bin/libtool

 -- Simon McVittie <smcv@collabora.com>  Mon, 04 Mar 2019 15:23:33 +0000

steamrt (1.h.20190304.0) heavy; urgency=medium

  * steamrt-dev: Add aptitude, fish, flip, steamrt-container
  * steamrt-dev: Add Autotools build system
  * steamrt-dev: Add more compilers (g++ and clang)
  * steamrt-dev: Add minimal multiarch development support
  * Install metapackages in lockstep
  * steamrt-dev: Add some miscellaneous Priority: important packages

 -- Simon McVittie <smcv@collabora.com>  Mon, 04 Mar 2019 13:30:37 +0000

steamrt (1.h.20190301.1) heavy; urgency=medium

  * steamrt-container: Add curl and file
  * steamrt-dev: Add a somewhat more complete development environment

 -- Simon McVittie <smcv@collabora.com>  Fri, 01 Mar 2019 18:35:15 +0000

steamrt (1.h.20190301.0) heavy; urgency=medium

  * Switch branch for SteamRT 1½ 'heavy'

 -- Simon McVittie <smcv@collabora.com>  Fri, 01 Mar 2019 17:15:38 +0000

steamrt (0.1+steamrt6) scout; urgency=medium

  * Add metapackages that pull in Steam Runtime libraries.
    This should mean that we don't need to list them all individually
    when building containers.

 -- Simon McVittie <smcv@collabora.com>  Wed, 13 Feb 2019 17:26:25 +0000

steamrt (0.1+steamrt5) scout; urgency=medium

  * Include libcasefold, for amd64 only

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Feb 2019 18:26:26 +0000

steamrt (0.1+steamrt4) scout; urgency=medium

  * Remove empty debian/docs
  * Normalize packaging with wrap-and-sort -abst
  * d/gbp.conf: Add
  * Update package list for GNUTLS 3.4
    - Replace libgnutls-dev with libgnutls28-dev
    - Replace libtasn1-3-dev with libtasn1-6-dev
    - Add nettle-dev (which is depended on by libgnutls28-dev anyway, but
      adding it explicitly avoids it vanishing if a later GNUTLS stops
      using nettle)

 -- Simon McVittie <smcv@collabora.com>  Tue, 04 Dec 2018 20:12:42 +0000

steamrt (0.1+steamrt3) scout; urgency=medium

  * Replace libjack-dev with libjack-jackd2-dev 

 -- Scott Ludwig <scottlu@valvesoftware.com>  Mon, 19 May 2014 13:42:17 -0700

steamrt (0.1+steamrt2) scout; urgency=low

  * Remove dummygl-dev as a dependency 

 -- Scott Ludwig <scottlu@valvesoftware.com>  Thu, 01 May 2014 15:28:37 -0700

steamrt (0.1+steamrt1) scout; urgency=low

  * Fix Typo.

 -- Scott Ludwig <scottlu@valvesoftware.com>  Thu, 01 May 2014 14:45:50 -0700

steamrt (0.1) stable; urgency=low

  * Initial Release.

 -- Scott Ludwig <scottlu@valvesoftware.com>  Thu, 01 May 2014 11:46:10 -0800
